

# ExportThemes
<a name="API_ExportThemes"></a>

Exports theme configurations to code that is ready to integrate into an Amplify app.

## Request Syntax
<a name="API_ExportThemes_RequestSyntax"></a>

```
GET /export/app/appId/environment/environmentName/themes?nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ExportThemes_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appId](#API_ExportThemes_RequestSyntax) **   <a name="amplifyuibuilder-ExportThemes-request-uri-appId"></a>
The unique ID of the Amplify app to export the themes to.  
Required: Yes

 ** [environmentName](#API_ExportThemes_RequestSyntax) **   <a name="amplifyuibuilder-ExportThemes-request-uri-environmentName"></a>
The name of the backend environment that is part of the Amplify app.  
Required: Yes

 ** [nextToken](#API_ExportThemes_RequestSyntax) **   <a name="amplifyuibuilder-ExportThemes-request-uri-nextToken"></a>
The token to request the next page of results.

## Request Body
<a name="API_ExportThemes_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ExportThemes_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "entities": [ 
      { 
         "appId": "string",
         "createdAt": "string",
         "environmentName": "string",
         "id": "string",
         "modifiedAt": "string",
         "name": "string",
         "overrides": [ 
            { 
               "key": "string",
               "value": { 
                  "children": [ 
                     "ThemeValues"
                  ],
                  "value": "string"
               }
            }
         ],
         "tags": { 
            "string" : "string" 
         },
         "values": [ 
            { 
               "key": "string",
               "value": { 
                  "children": [ 
                     "ThemeValues"
                  ],
                  "value": "string"
               }
            }
         ]
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ExportThemes_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [entities](#API_ExportThemes_ResponseSyntax) **   <a name="amplifyuibuilder-ExportThemes-response-entities"></a>
Represents the configuration of the exported themes.  
Type: Array of [Theme](API_Theme.md) objects

 ** [nextToken](#API_ExportThemes_ResponseSyntax) **   <a name="amplifyuibuilder-ExportThemes-response-nextToken"></a>
The pagination token that's included if more results are available.  
Type: String

## Errors
<a name="API_ExportThemes_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
An internal error has occurred. Please retry your request.  
HTTP Status Code: 500

 ** InvalidParameterException **   
An invalid or out-of-range value was supplied for the input parameter.  
HTTP Status Code: 400

## See Also
<a name="API_ExportThemes_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/amplifyuibuilder-2021-08-11/ExportThemes) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/amplifyuibuilder-2021-08-11/ExportThemes) 